com.amazonaws.services.lambda.model

## Class InvokeAsyncRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.lambda.model.InvokeAsyncRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class InvokeAsyncRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`InvokeAsyncRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InvokeAsyncRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getFunctionName()` The Lambda function name.
`InputStream` `getInvokeArgs()` JSON that you want to provide to your Lambda function as input.
`int` `hashCode()`
`void` `setFunctionName(String functionName)` The Lambda function name.
`void` `setInvokeArgs(InputStream invokeArgs)` JSON that you want to provide to your Lambda function as input.
`void` `setInvokeArgs(String invokeArgs)` JSON that you want to provide to your Lambda function as input.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`InvokeAsyncRequest` `withFunctionName(String functionName)` The Lambda function name.
`InvokeAsyncRequest` `withInvokeArgs(InputStream invokeArgs)` JSON that you want to provide to your Lambda function as input.
`InvokeAsyncRequest` `withInvokeArgs(String invokeArgs)` JSON that you want to provide to your Lambda function as input.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvokeAsyncRequest

    public InvokeAsyncRequest()

### Method Detail

#### setFunctionName

    public void setFunctionName(String functionName)

The Lambda function name.

Parameters:
  `functionName` - The Lambda function name.

#### getFunctionName

    public String getFunctionName()

The Lambda function name.

Returns:
  The Lambda function name.

#### withFunctionName

    public InvokeAsyncRequest withFunctionName(String functionName)

The Lambda function name.

Parameters:
  `functionName` - The Lambda function name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInvokeArgs

    public void setInvokeArgs(InputStream invokeArgs)

JSON that you want to provide to your Lambda function as input.

Parameters:
  `invokeArgs` - JSON that you want to provide to your Lambda function as input.

#### getInvokeArgs

    public InputStream getInvokeArgs()

JSON that you want to provide to your Lambda function as input.

Returns:
  JSON that you want to provide to your Lambda function as input.

#### withInvokeArgs

    public InvokeAsyncRequest withInvokeArgs(InputStream invokeArgs)

JSON that you want to provide to your Lambda function as input.

Parameters:
  `invokeArgs` - JSON that you want to provide to your Lambda function as input.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInvokeArgs

    public void setInvokeArgs(String invokeArgs)

JSON that you want to provide to your Lambda function as input.

Parameters:
  `invokeArgs` - JSON that you want to provide to your Lambda function as input.

#### withInvokeArgs

    public InvokeAsyncRequest withInvokeArgs(String invokeArgs)

JSON that you want to provide to your Lambda function as input.

Parameters:
  `invokeArgs` - JSON that you want to provide to your Lambda function as input.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public InvokeAsyncRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`